package core

import (
	"eta_gn/eta_obs/global"
	"eta_gn/eta_obs/init_serve"
	"eta_gn/eta_obs/services/oss"
	"fmt"
	"github.com/tylerb/graceful"
	"net/http"
	"time"
)

func RunServe() {
	// 初始化路由
	r := init_serve.InitRouter()

	// 初始化minio
	oss.InitMinio()

	// 启动任务
	init_serve.InitTask()

	fmt.Println("port:", global.CONFIG.Serve.Port)
	//err := r.Run(fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port)) // 监听并在 0.0.0.0:8080 上启动服务
	//if err != nil {
	//	panic(fmt.Errorf("服务启动失败，Err:%s", err))
	//} else {
	//	fmt.Println("Run:", fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port))
	//}

	// 创建一个 HTTP 服务器
	server := &http.Server{
		Addr:    fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port),
		Handler: r,
		//ReadTimeout:  10 * time.Second,
		//WriteTimeout: 10 * time.Second,
	}

	// 使用 grace 启动服务器
	gracefulServer := &graceful.Server{
		Timeout: 10 * time.Second, // 设置超时时间
		Server:  server,
	}

	// 启动服务器
	if err := gracefulServer.ListenAndServe(); err != nil {
		panic(fmt.Errorf("服务启动失败，Err:%s", err))
	} else {
		fmt.Println("Run:", fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port))
	}
}
